List all authorisation terms.
curl --request GET \
--url https://api.sandbox.goteal.co/authorisations/terms \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.sandbox.goteal.co/authorisations/terms"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.sandbox.goteal.co/authorisations/terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"offset": 0,
"limit": 20,
"count": 2
},
"terms": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Teal Data Sharing Agreement",
"authorisation_text": "I agree to share my payroll data with the lender for income verification.",
"authorisation_version": 1,
"authorisation_category": "recurring",
"is_active": true,
"is_system_term": true,
"created_at": "2024-01-15T00:00:00.000Z"
},
{
"id": "7f3b8c2a-1d4e-4f6a-8b8c-9a0b1c2d3e4f",
"name": "Custom Terms v2",
"authorisation_text": "Custom authorisation text for our lending product.",
"authorisation_version": 2,
"authorisation_category": "one_time",
"is_active": true,
"is_system_term": false,
"created_at": "2024-06-01T00:00:00.000Z"
}
]
}{
"errors": [
"The request is missing the required field `name`"
]
}{
"errors": [
"No X-API-KEY header provided or wrong value"
]
}Authorisations
List Authorisation Terms
GET
/
authorisations
/
terms
List all authorisation terms.
Authorizations
ApiKeyAuthMemberBearerAuth
Query Parameters
Filter by authorisation category The category of authorisation
Available options:
one_time, recurring Example:
"one_time"
Filter by active status
Filter by system term status. True returns only Teal's default terms, false returns only client-created terms.
The offset to start at
Required range:
x >= 0The number of items to return
Required range:
1 <= x <= 100⌘I